# Interface EigenInterface

All Known Implementing Classes:
  `Eigen`

public interface EigenInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`fillFloatArrays(V3[] eigenVectors, float[] eigenValues)`
`double[]`
`getEigenvalues()`
`float[][]`
`getEigenvectorsFloatTransposed()`
`EigenInterface`
`setM(double[][] n)`

## Method Details

### setM

EigenInterface setM(double[][] n)

### getEigenvalues

double[] getEigenvalues()

### fillFloatArrays

void fillFloatArrays(V3[] eigenVectors, float[] eigenValues)

### getEigenvectorsFloatTransposed

float[][] getEigenvectorsFloatTransposed()